Package org.eclipse.emf.compare.ide.ui.internal.mergeresolution

## Class MergeResolutionListenerDescriptor

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.mergeresolution.MergeResolutionListenerDescriptor

    public class MergeResolutionListenerDescriptor
    extends Object

Describes meta-data about a listener to merge resolution events. See `IMergeResolutionListener`.

### Constructor Summary

Constructors
`MergeResolutionListenerDescriptor​(String attributeName, org.eclipse.core.runtime.IConfigurationElement configurationElement)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`IMergeResolutionListener` `getMergeResolutionListener()` Returns the `IMergeResolutionListener`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeResolutionListenerDescriptor

    public MergeResolutionListenerDescriptor​(String attributeName,
                                             org.eclipse.core.runtime.IConfigurationElement configurationElement)

Default constructor.

Parameters:
  `attributeName` - The name of the configuration attribute responsible for the registered `IMergeResolutionListener`.
  `configurationElement` - The `IConfigurationElement` containing all relevant extension information.

### Method Detail

#### getMergeResolutionListener

    public IMergeResolutionListener getMergeResolutionListener()

Returns the `IMergeResolutionListener`.

Returns:
  The newly created `IMergeResolutionListener`.